This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 430176 - ifup-wireless should start wpa-supplicant on-demand
ifup-wireless should start wpa-supplicant on-demand
Status: CLOSED DUPLICATE of bug 244029
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 19:39 EST by ZioTibia
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 16:15:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ZioTibia 2008-01-24 19:39:08 EST
Description of problem:

Actually in systemV init network start before than wpa_supplicant.
I have one wlan interface active at boot time with dhcp and wlan network 
is wpa protected. 
Network service try to bring up wlan interface but it fail beacuse
no dhcp server is found. It can't found a dhcp server because network
link isn't ready: wpa_supplicant isn't started yet !!!

When boot is complete I manually run "service network restart" and
wlan interface came up regolarry because now wpa_supplicant is running
and dhcp client could discover a dhcp server.

Version-Release number of selected component (if applicable):

wpa_supplicant-0.5.7-21.fc8

How reproducible:


Steps to Reproduce:
1. Configure a wlan interface with ONBOOT=yes and BOOTPROTO=dhcp
2. Configure correctly wpa_supplicant to bind wlan interfare and wpa protected
network with dhcp server active.
3. Reboot pc
  
Actual results:

When network start automatic bringing up of wlan0 fail beacuse it can't
find dhcp server beacause wpa_supplicant isn't already started and network
link couldn't be estabilish.

Expected results:

wpa_suplicant start before network service

Additional info:

on /etc/init.d/wpa_supplicant I've modified 
# chkconfig:   - 28 75
in
# chkconfig:   - 5 95
and run 

chkconfig --level 5 wpa_supplicant on

but in /etc/rc.d/rc5.d/ there are always
S28wpa_supplicant and K72wpa_supplicant
inside of
S05wpa_supplicant and K95wpa_supplicant
If I rename by hand these links all work correctly until
something invoche a new chkconfig command.
Comment 1 Dan Williams 2008-01-24 21:03:40 EST
moving the chkconfig priorities isn't the right thing to do, the right thing to
do is to make the network service request that wpa_supplicant be started in the
LSB initscript.  it can't be made a hard dependency because that would break
network-mounted-usr, if we care about that any more.

Also, having it the other way around would cause the supplicant to _always_ be
started, irregardless of whether there's actually a wireless card or not.

I think, really that ifup-wireless should start the supplicant on-demand instead
of depending on sysvinit ordering.
Comment 2 Dan Williams 2008-01-24 21:06:28 EST
What should really happen here is that ifup-wireless should grow the ability to
figure out when WPA might be used or not (based on keys in the ifcfg files
perhaps) and start the supplicant if WPA is required.  Somebody needs to step up
and do that though...  initscript orderings aren't the way to do this because
there are too many corner-cases.
Comment 3 Bug Zapper 2008-11-26 04:33:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Lemenkov 2008-12-11 16:15:26 EST

*** This bug has been marked as a duplicate of bug 244029 ***

Note You need to log in before you can comment on or make changes to this bug.